package Raw;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;

public class Nuber_test {
	public static void printNumbers(List<? extends Number> numbers) {
		for (Number n : numbers) {
			System.out.println(n.intValue());
		}
	}
	
	public static void printNumbersCollection(Collection<Number> numbers) {
		for (Number n : numbers) {
			System.out.println(n.intValue());
		}
	}

	public static void main(String[] args) {
		List<Number> ln = Arrays.asList(1.1,2.2,3.3);
		List<Double> ld = Arrays.asList(1.1,2.2,3.3);
		printNumbers (ln); // prints 1 2 3
		printNumbers (ld); // prints 1 2 3
		
		// to show the relationship of Collection and List on the same type - here Number
		Collection<Number> Cn = Arrays.asList(1.1,2.2,3.3);
		printNumbersCollection(ln);
		printNumbersCollection(Cn);
	}
}
